<template>
  <img class="_thumbnail"
       src="https://picsum.photos/id/10/320"
       @click="imageToDisplay = 'https://picsum.photos/id/10/1080'">

  <rui-image-viewer v-if="imageToDisplay"
                    :preselected="imageToDisplay"
                    @close="imageToDisplay = null" />
</template>

<script>
export default {
  data () {
    return {
      imageToDisplay: null,
    }
  },
}
</script>
